<?php
/**
 * eCommerce Inn functions and definitions.
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package eCommerce_Inn
 */

// Load main file
require_once trailingslashit( get_stylesheet_directory() ) . '/includes/child-main.php';

if ( ! function_exists( 'ecommerce_inn_setup' ) ) :
	/**
	 * Sets up theme defaults and registers support for various WordPress features.
	 *
	 * Note that this function is hooked into the after_setup_theme hook, which
	 * runs before the init hook. The init hook is too late for some features, such
	 * as indicating support for post thumbnails.
	 */
	function ecommerce_inn_setup() {

		// Make theme available for translation.
		load_theme_textdomain( 'ecommerce-inn', get_stylesheet_directory() . '/languages' );
	}

endif;

add_action( 'after_setup_theme', 'ecommerce_inn_setup' );

// Enqueue scripts and styles
function ecommerce_inn_scripts() {

	wp_enqueue_style( 'ecommerce-inn-parent-style', get_template_directory_uri() . '/style.css' );

}

add_action( 'wp_enqueue_scripts', 'ecommerce_inn_scripts' );

// unregister widgets and sidebar of parent theme
function ecommerce_inn_unregister_parent_widgets() {
    
    // remove newsletter and advertisement widgets
    unregister_widget( 'eCommerce_Gem_Newsletter_Widget' );
    unregister_widget( 'eCommerce_Gem_Advertisement_Widget' );
    unregister_widget( 'eCommerce_Gem_CTA_Widget' );

    // remove advertisement sidebar
    unregister_sidebar( 'advertisement-area');
}

add_action( 'widgets_init', 'ecommerce_inn_unregister_parent_widgets', 11 );

/* Turn on wide images */
add_theme_support( 'align-wide' );